Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78015

Summary: CUPS' mime.types redundant
Product: [Retired] Red Hat Linux Reporter: W. Michael Petullo <redhat>
Component: cupsAssignee: Tim Waugh <twaugh>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: mitr
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-04-09 16:10:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description W. Michael Petullo 2002-11-17 16:19:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
CUPS provides a private MIME database in /etc/cups/mime.types that contains
redundant information.  CUPS should be configured to update and use the MIME
databases specified by the Shared MIME-Info Specification
(http://www.freedesktop.org/standards/shared-mime-info.html).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  cat /etc/cups/mime.types
	

Actual Results:  I see that CUPS installs a private MIME types file.

Expected Results:  I would expect CUPS to use the MIME databases provided by the
Shared MIME-Info Specification
(http://www.freedesktop.org/standards/shared-mime-info.html).  This allows a
system administrator to maintain just one set of MIME definitions instead of
separate ones for file, GNOME, CUPS, etc.

Additional info:

Comment 1 Tim Waugh 2002-11-22 12:55:14 UTC
This is actually a thornier issue than it appears.  I'll mention it to the
upstream developers.